From: =?utf-8?b?SsOpcsO0bWUgQ2hhcmFvdWk=?= <jerome@riseup.net>
Date: Thu, 14 Jul 2022 20:13:38 -0400
Subject: Patch project.clj to build locally using lein

Forwarded: not-needed
---
 project.clj | 24 ++++++++----------------
 1 file changed, 8 insertions(+), 16 deletions(-)

diff --git a/project.clj b/project.clj
index 651a581..d030a36 100644
--- a/project.clj
+++ b/project.clj
@@ -5,23 +5,13 @@
             :url "http://www.eclipse.org/legal/epl-v10.html"
             :distribution :repo}
 
-  :dependencies [[prismatic/schema "1.2.0"]
-                 [de.kotka/lazymap "3.1.0" :exclusions [org.clojure/clojure]]]
-
-  :profiles {:dev {:dependencies [[org.clojure/clojure "1.10.3"]
-                                  [org.clojure/clojurescript "1.10.891"]
-                                  [org.clojure/core.async "1.4.627"]]
-                   :plugins [[codox "0.10.8"]
-                             [lein-cljsbuild "1.1.8"]
-                             [lein-doo "0.1.10"]]}
-             :1.8 {:dependencies [[org.clojure/clojure "1.8.0"]]}
-             :1.9 {:dependencies [[org.clojure/clojure "1.9.0"]]}
-             :1.11 {:dependencies [[org.clojure/clojure "1.11.0-master-SNAPSHOT"]]
-                    :repositories [["sonatype-oss-public" {:url "https://oss.sonatype.org/content/groups/public"}]]}}
+  :dependencies [[org.clojure/clojure "1.10.x"]
+                 [org.clojure/core.async "debian"]
+                 [prismatic/schema "debian"]
+                 [de.kotka/lazymap "debian"]]
 
   :aliases {"all" ["with-profile" "+1.8:+1.9:+dev:+1.11"]
-            "deploy" ["do" "deploy" "clojars"]
-            "test" ["do" "test," "doo" "node" "test" "once"]}
+            "deploy" ["do" "deploy" "clojars"]}
 
   :lein-release {:deploy-via :shell
                  :shell ["lein" "deploy"]}
@@ -43,4 +33,6 @@
   :codox {:src-dir-uri "http://github.com/plumatic/plumbing/blob/master/"
           :src-linenum-anchor-prefix "L"}
 
-  :jvm-opts ^:replace [])
+  :jvm-opts ^:replace []
+
+  :local-repo "debian/maven-repo")
